﻿@page
@model IndexModel
@{
    ViewData["Title"] = "Kupka appka";
}

<div class="container">
        
        <form method="post">
             <div class="form-group">
            <input type="datetime-local" class="form-control" name="datetime"/><br/>
            <label for="comment"> comment:</label><br/>
            <input type="text" class="form-control" name="comment"/>
            </div>
            <div class="form-group">
            <div class="form-check form-switch form-check-inline">
                <label for="siku">siku</label>
                <input class="form-check-input form-control" type="checkbox" role="switch" id="siku" name="siku" value="true">
            </div>
            <div class="form-check form-switch form-check-inline">
                <label for="kupa"> kupa</label>
                <input class="form-check-input form-control" type="checkbox" role="switch" id="kupa" name="kupa" value="true">
             </div>
             </div>
             <div class="form-group">
             <div class="pt-3">
                <input type="submit" class="btn btn-primary"/>
             </div>
             </div>
    </form>
</div>
<div class="text-center">
<table class="table"> 
  <thead class="thead-dark">
    <tr>
      <th scope="col">action</th>
      <th scope="col">Data</th>
      <th scope="col">Kupa</th>
      <th scope="col">Siku</th>
      <th scope="col">Comment</th>
    </tr>
  </thead>
  <tbody>
            @foreach (var itx in Model.items)
            {
              <tr>
                  <td><a href="/delete?Id=@itx.Id"> <img src="~/node_modules/bootstrap-icons/icons/trash.svg" alt="@itx.Id" width="16" height="16"></a>
                  </td>
                  <td>@itx.datetime</td>
                  <td>@if(itx.kupa)
                        {
                            <img src="~/node_modules/bootstrap-icons/icons/check-circle.svg?o=1" alt="Bootstrap" width="32" height="32">
                        } else
                        {
                            <img src="~/node_modules/bootstrap-icons/icons/slash-circle.svg" alt="Bootstrap" width="32" height="32">
                        }
                  </td>
                    <td>@if (itx.siku)
                        {
                            <img src="~/node_modules/bootstrap-icons/icons/check-circle.svg?o=1" alt="Bootstrap" width="32" height="32">
                        } else
                        {
                            <img src="~/node_modules/bootstrap-icons/icons/slash-circle.svg" alt="Bootstrap" width="32" height="32">
                        }
                  </td>
                  <td>@itx.comment</td>
                </tr>   
            }
    </tbody>
    </table>
</div>